LFR-FSW - Bug #3911

KCOEFF_DUMP : champ PA_LFR_KCOEFF_BLK_NR faux
02/12/2021 10:55 AM - bruno katra

Status: Closed Start date: 02/12/2021
Priority: High Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: r0

Description

Dans 3.3.0.2 : les paquets KCOEFF_DUMP font la bonne taille attendue

MAIS le champs PA_LFR_KCOEFF_BLK_NR qui devrait contenir le nombre de floats est faux :
1er paquet : 164 au lieu de 676

2eme paquet : 82 au lieu de 338

Cela est prévisible car le champ PA_LFR_KCOEFF_BLK_NR fait 8 bits donc on ne peut pas stocker des valeurs > 255 !

Related issues:
Related to Feature #3905: La TM_KCOEFF_DUMP n'a plus la structure dédcrite da... Closed 24/11/2021

History

#1 - 02/12/2021 01:27 PM - bruno katra

Discuté avec Alexis : le BLOCK_NUMBER pourrait contenir le nombre de floats/26 (26= nombre de floats pour 1matrice B + 1 matrice E).
L'ICD serait modifié avec juste la modification du champs en jaune :

/SOURCE_DATA/Repeated N times, with N in [0..PA_LFR_KCOEFF_BLK_NR[

deviendrait
/SOURCE_DATA/Repeated N times, with N in [0..PA_LFR_KCOEFF_BLK_NR*26][

#2 - 02/12/2021 01:31 PM - bruno katra
- Related to Feature #3905: La TM_KCOEFF_DUMP n‘a plus la structure dédcrite dans I'ICD added

#3 - 02/12/2021 01:33 PM - Alexis Jeandet
Devrait étre corrigé ici https:/github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/commit/8a9fbaf9ba5bfb80ca206013917522e30c3d138¢

#4 - 02/12/2021 01:34 PM - bruno katra

- Assignee changed from Alexis Jeandet to bruno katra

#5 - 03/12/2021 04:14 PM - bruno katra

- Status changed from In Progress to Closed

Testé ok en 3.3.0.4
